Skip to main content

Get an applicant by ID

GEThttps://api.propexo.com/v1/applicants/:id

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

id stringrequired

The ID of the resource.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required
  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results objectrequired
    idstringrequired

    The Propexo unique identifier for the applicant

    created_atstringrequired

    The date record first entered Propexo

    updated_atstringrequired

    The date record was last updated in Propexo

    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    x_idstringrequired

    The external ID from the integration vendor

    x_property_idstringrequired

    The external ID of the property from the integration vendor

    x_unit_idstring | nullnullablerequireddeprecated

    DEPRECATED: Use x_unit_id_preferred instead

    x_lease_idstring | nullnullablerequireddeprecated

    DEPRECATED: Not in use.

    x_lead_idstring | nullnullablerequired

    The external ID of the lead from the integration vendor

    x_unit_id_preferredstring[]required
    address_1_alternatestring | nullnullablerequired

    The first alternate address line associated with the applicant

    address_1string | nullnullablerequired

    The first address line associated with the applicant

    address_2_alternatestring | nullnullablerequired

    The second alternate address line associated with the applicant

    address_2string | nullnullablerequired

    The second address line associated with the applicant

    applications object[]required
  • Array [
  • applicant_idstringrequired
    application_idstringrequired
    statusstring | nullnullabledeprecated

    DEPRECATED. Use status_raw or status_normalized

    status_rawstring | nullnullable

    The raw status associated with the applicant

    status_normalizedstring | nullnullable

    The normalized status associated with the applicant. Confirm these derived values before using them in production.

    Show 2 variants
    • stringAPPROVEDDENIEDCANCELEDOTHERPENDING
    • string
    custom_data object | null
    object
  • ]
  • city_alternatestring | nullnullablerequired

    The alternate city associated with the applicant

    citystring | nullnullablerequired

    The city associated with the applicant

    country_alternatestring | nullnullablerequired

    The alternate country associated with the applicant

    countrystring | nullnullablerequired

    The country associated with the applicant

    custom_data object | nullrequired
    object
    date_of_birthstring | nullnullablerequired

    The date of birth associated with the applicant

    email_1string | nullnullablerequired

    The primary email address associated with the applicant

    email_2string | nullnullablerequired

    The secondary email address associated with the applicant

    first_namestring | nullnullablerequired

    The first name associated with the applicant

    self_reported_income object[]
  • Array [
  • amount_in_centsnumber | nullnullablerequired

    The total income of the applicant, in cents

    amount_rawstring | nullnullablerequired

    The total income amount of the applicant

    type_normalizedstring | nullnullablerequired

    The type of income of the applicant

    type_rawstring | nullnullablerequired

    The type of income of the applicant

  • ]
  • last_namestring | nullnullablerequired

    The last name associated with the applicant

    middle_namestring | nullnullablerequired

    The middle name associated with the applicant

    notesstring | nullnullablerequired

    Notes associated with the applicant

    phone_1_typestring | nullnullablerequired

    Type of the primary phone number

    Show 5 enum values
    FAXHOMEMOBILEOTHERWORK
    phone_1string | nullnullablerequired

    Primary phone number associated with the applicant

    phone_2_typestring | nullnullablerequired

    Type of the secondary phone number

    Show 5 enum values
    FAXHOMEMOBILEOTHERWORK
    phone_2string | nullnullablerequired

    Secondary phone number associated with the applicant

    state_alternatestring | nullnullablerequired

    The alternate state associated with the applicant

    statestring | nullnullablerequired

    The state associated with the applicant

    type_normalizedstring | nullnullablerequired

    The normalized type associated with the applicant

    type_rawstring | nullnullablerequired

    The raw type associated with the applicant

    zip_alternatestring | nullnullablerequired

    The alternate zip code associated with the applicant

    zipstring | nullnullablerequired

    The zip code associated with the applicant

    pets object[]required
  • Array [
  • idstringrequired

    The Propexo unique identifier for the applicant pet

    created_atstringrequired

    The date record first entered Propexo

    updated_atstringrequired

    The date record was last updated in Propexo

    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    x_idstringrequired

    The external ID from the integration vendor

    age_in_yearsnumber | nullnullablerequired

    The age in years of the applicant pet

    breedstring | nullnullablerequired

    The breed of the applicant pet

    colorstring | nullnullablerequired

    The color of the applicant pet

    gender_rawstring | nullnullablerequired

    The raw value for the gender of the applicant pet

    is_declawedboolean | nullnullablerequired

    Whether the applicant pet is declawed

    is_fixedboolean | nullnullablerequired

    Whether the applicant pet is fixed

    is_service_animalboolean | nullnullablerequired

    Whether the applicant pet is a service animal

    is_trainedboolean | nullnullablerequired

    Whether the applicant pet is trained

    is_vaccinatedboolean | nullnullablerequired

    Whether the applicant pet is vaccinated

    namestring | nullnullablerequired

    The name associated with the applicant pet

    notesstring | nullnullablerequired

    Notes associated with the applicant pet

    typestring | nullnullablerequired

    The type associated with the applicant pet

    weight_in_poundsnumber | nullnullablerequired

    The weight in pounds of the applicant pet

    custom_data object | nullrequired
    object
  • ]
  • integration_idstringrequired

    The Propexo unique identifier for the integration

    integration_vendorEnum1required

    The property management system of record

    Show 13 enum values
    APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST
    property_idstringrequired

    The Propexo unique identifier for the property

    unit_id_preferredstring[]required
    screenings object[]required
  • Array [
  • idstringrequired

    The Propexo ID of the screening

    created_atstringrequired

    The date record first entered Propexo

    last_seenstringrequired

    The date the record was last seen from the PMS

    x_idstringrequired

    The external ID from the integration vendor

    status_rawstring | nullnullablerequired

    The status/results of the screening

    screening_datestring | nullnullablerequired

    The date the screening took place

  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/applicants/:id
curl https://api.propexo.com/v1/applicants/:id \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "string",
"created_at": "string",
"updated_at": "string",
"last_seen": "string",
"x_id": "string",
"x_property_id": "string",
"x_lead_id": "string",
"x_unit_id_preferred": [
"string"
],
"address_1_alternate": "string",
"address_1": "string",
"address_2_alternate": "string",
"address_2": "string",
"applications": [
{
"applicant_id": "string",
"application_id": "string",
"status_raw": "string",
"status_normalized": "APPROVED",
"custom_data": "Unknown Type: object,null"
}
],
"city_alternate": "string",
"city": "string",
"country_alternate": "string",
"country": "string",
"custom_data": "Unknown Type: object,null",
"date_of_birth": "string",
"email_1": "string",
"email_2": "string",
"first_name": "string",
"self_reported_income": [
{
"amount_in_cents": 0,
"amount_raw": "string",
"type_normalized": "string",
"type_raw": "string"
}
],
"last_name": "string",
"middle_name": "string",
"notes": "string",
"phone_1_type": "FAX",
"phone_1": "string",
"phone_2_type": "FAX",
"phone_2": "string",
"state_alternate": "string",
"state": "string",
"type_normalized": "string",
"type_raw": "string",
"zip_alternate": "string",
"zip": "string",
"pets": [
{
"id": "string",
"created_at": "string",
"updated_at": "string",
"last_seen": "string",
"x_id": "string",
"age_in_years": 0,
"breed": "string",
"color": "string",
"gender_raw": "string",
"is_declawed": true,
"is_fixed": true,
"is_service_animal": true,
"is_trained": true,
"is_vaccinated": true,
"name": "string",
"notes": "string",
"type": "string",
"weight_in_pounds": 0,
"custom_data": "Unknown Type: object,null"
}
],
"integration_id": "string",
"integration_vendor": "APPFOLIO",
"property_id": "string",
"unit_id_preferred": [
"string"
],
"screenings": [
{
"id": "string",
"created_at": "string",
"last_seen": "string",
"x_id": "string",
"status_raw": "string",
"screening_date": "string"
}
]
}
}